#!/bin/bash
#
# This command expects to be run within the Concern FAST profile directory. To
# generate a full distribution you it must be a git checkout.
#
# To use this command you must have `drush make`, `cvs` and `git` installed.
#

if [ -f drupal-org.make ]; then
  echo -e "\nThis command can be used to run drupal-org.make in place. Are you sure you want to do this?"
  echo "  [y] Yes, do it!"
  echo -e "Selection: \c"
  read SELECTION

  if [ $SELECTION = "y" ]; then

    # Run concern.make only.
    echo "Building Open Academy drupal-org.make profile..."
    drush make --working-copy --no-core --no-gitinfofile --contrib-destination=. drupal-org.make
  else
   exit 1
  fi
else
  echo 'Could not locate file "drupal-org.make"'
fi

